<div class="front_page_section front_page_section_about<?php
	$artesia_scheme = artesia_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $artesia_scheme ) && ! artesia_is_inherit( $artesia_scheme ) ) {
		echo ' scheme_' . esc_attr( $artesia_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( artesia_get_theme_option( 'front_page_about_paddings' ) );
	if ( artesia_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$artesia_css      = '';
		$artesia_bg_image = artesia_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $artesia_bg_image ) ) {
			$artesia_css .= 'background-image: url(' . esc_url( artesia_get_attachment_url( $artesia_bg_image ) ) . ');';
		}
		if ( ! empty( $artesia_css ) ) {
			echo ' style="' . esc_attr( $artesia_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$artesia_anchor_icon = artesia_get_theme_option( 'front_page_about_anchor_icon' );
	$artesia_anchor_text = artesia_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $artesia_anchor_icon ) || ! empty( $artesia_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $artesia_anchor_icon ) ? ' icon="' . esc_attr( $artesia_anchor_icon ) . '"' : '' )
									. ( ! empty( $artesia_anchor_text ) ? ' title="' . esc_attr( $artesia_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( artesia_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' artesia-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$artesia_css           = '';
			$artesia_bg_mask       = artesia_get_theme_option( 'front_page_about_bg_mask' );
			$artesia_bg_color_type = artesia_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $artesia_bg_color_type ) {
				$artesia_bg_color = artesia_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $artesia_bg_color_type ) {
				$artesia_bg_color = artesia_get_scheme_color( 'bg_color', $artesia_scheme );
			} else {
				$artesia_bg_color = '';
			}
			if ( ! empty( $artesia_bg_color ) && $artesia_bg_mask > 0 ) {
				$artesia_css .= 'background-color: ' . esc_attr(
					1 == $artesia_bg_mask ? $artesia_bg_color : artesia_hex2rgba( $artesia_bg_color, $artesia_bg_mask )
				) . ';';
			}
			if ( ! empty( $artesia_css ) ) {
				echo ' style="' . esc_attr( $artesia_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$artesia_caption = artesia_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $artesia_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $artesia_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $artesia_caption, 'artesia_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$artesia_description = artesia_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $artesia_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $artesia_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $artesia_description ), 'artesia_kses_content' ); ?></div>
				<?php
			}

			// Content
			$artesia_content = artesia_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $artesia_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $artesia_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$artesia_page_content_mask = '%%CONTENT%%';
					if ( strpos( $artesia_content, $artesia_page_content_mask ) !== false ) {
						$artesia_content = preg_replace(
							'/(\<p\>\s*)?' . $artesia_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$artesia_content
						);
					}
					artesia_show_layout( $artesia_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
