<div class="front_page_section front_page_section_googlemap<?php
	$artesia_scheme = artesia_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $artesia_scheme ) && ! artesia_is_inherit( $artesia_scheme ) ) {
		echo ' scheme_' . esc_attr( $artesia_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( artesia_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( artesia_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$artesia_css      = '';
		$artesia_bg_image = artesia_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $artesia_bg_image ) ) {
			$artesia_css .= 'background-image: url(' . esc_url( artesia_get_attachment_url( $artesia_bg_image ) ) . ');';
		}
		if ( ! empty( $artesia_css ) ) {
			echo ' style="' . esc_attr( $artesia_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$artesia_anchor_icon = artesia_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$artesia_anchor_text = artesia_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $artesia_anchor_icon ) || ! empty( $artesia_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $artesia_anchor_icon ) ? ' icon="' . esc_attr( $artesia_anchor_icon ) . '"' : '' )
									. ( ! empty( $artesia_anchor_text ) ? ' title="' . esc_attr( $artesia_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$artesia_layout = artesia_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $artesia_layout );
		if ( artesia_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' artesia-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$artesia_css      = '';
			$artesia_bg_mask  = artesia_get_theme_option( 'front_page_googlemap_bg_mask' );
			$artesia_bg_color_type = artesia_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $artesia_bg_color_type ) {
				$artesia_bg_color = artesia_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $artesia_bg_color_type ) {
				$artesia_bg_color = artesia_get_scheme_color( 'bg_color', $artesia_scheme );
			} else {
				$artesia_bg_color = '';
			}
			if ( ! empty( $artesia_bg_color ) && $artesia_bg_mask > 0 ) {
				$artesia_css .= 'background-color: ' . esc_attr(
					1 == $artesia_bg_mask ? $artesia_bg_color : artesia_hex2rgba( $artesia_bg_color, $artesia_bg_mask )
				) . ';';
			}
			if ( ! empty( $artesia_css ) ) {
				echo ' style="' . esc_attr( $artesia_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $artesia_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$artesia_caption     = artesia_get_theme_option( 'front_page_googlemap_caption' );
			$artesia_description = artesia_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $artesia_caption ) || ! empty( $artesia_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $artesia_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $artesia_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $artesia_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $artesia_caption, 'artesia_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $artesia_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $artesia_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $artesia_description ), 'artesia_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $artesia_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$artesia_content = artesia_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $artesia_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $artesia_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $artesia_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $artesia_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $artesia_content, 'artesia_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $artesia_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $artesia_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! artesia_exists_trx_addons() ) {
						artesia_customizer_need_trx_addons_message();
					} else {
						artesia_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $artesia_layout && ( ! empty( $artesia_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
