<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package ARTESIA
 * @since ARTESIA 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$artesia_copyright_scheme = artesia_get_theme_option( 'copyright_scheme' );
if ( ! empty( $artesia_copyright_scheme ) && ! artesia_is_inherit( $artesia_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $artesia_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$artesia_copyright = artesia_get_theme_option( 'copyright' );
			if ( ! empty( $artesia_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$artesia_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $artesia_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$artesia_copyright = artesia_prepare_macros( $artesia_copyright );
				// Display copyright
				echo wp_kses( nl2br( $artesia_copyright ), 'artesia_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
