<?php
/**
 * The template to display the background video in the header
 *
 * @package ARTESIA
 * @since ARTESIA 1.0.14
 */
$artesia_header_video = artesia_get_header_video();
$artesia_embed_video  = '';
if ( ! empty( $artesia_header_video ) && ! artesia_is_from_uploads( $artesia_header_video ) ) {
	if ( artesia_is_youtube_url( $artesia_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $artesia_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php artesia_show_layout( artesia_get_embed_video( $artesia_header_video ) ); ?></div>
		<?php
	}
}
