<div class="front_page_section front_page_section_contacts<?php
	$artesia_scheme = artesia_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $artesia_scheme ) && ! artesia_is_inherit( $artesia_scheme ) ) {
		echo ' scheme_' . esc_attr( $artesia_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( artesia_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( artesia_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$artesia_css      = '';
		$artesia_bg_image = artesia_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $artesia_bg_image ) ) {
			$artesia_css .= 'background-image: url(' . esc_url( artesia_get_attachment_url( $artesia_bg_image ) ) . ');';
		}
		if ( ! empty( $artesia_css ) ) {
			echo ' style="' . esc_attr( $artesia_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$artesia_anchor_icon = artesia_get_theme_option( 'front_page_contacts_anchor_icon' );
	$artesia_anchor_text = artesia_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $artesia_anchor_icon ) || ! empty( $artesia_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $artesia_anchor_icon ) ? ' icon="' . esc_attr( $artesia_anchor_icon ) . '"' : '' )
									. ( ! empty( $artesia_anchor_text ) ? ' title="' . esc_attr( $artesia_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( artesia_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' artesia-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$artesia_css      = '';
			$artesia_bg_mask  = artesia_get_theme_option( 'front_page_contacts_bg_mask' );
			$artesia_bg_color_type = artesia_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $artesia_bg_color_type ) {
				$artesia_bg_color = artesia_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $artesia_bg_color_type ) {
				$artesia_bg_color = artesia_get_scheme_color( 'bg_color', $artesia_scheme );
			} else {
				$artesia_bg_color = '';
			}
			if ( ! empty( $artesia_bg_color ) && $artesia_bg_mask > 0 ) {
				$artesia_css .= 'background-color: ' . esc_attr(
					1 == $artesia_bg_mask ? $artesia_bg_color : artesia_hex2rgba( $artesia_bg_color, $artesia_bg_mask )
				) . ';';
			}
			if ( ! empty( $artesia_css ) ) {
				echo ' style="' . esc_attr( $artesia_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$artesia_caption     = artesia_get_theme_option( 'front_page_contacts_caption' );
			$artesia_description = artesia_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $artesia_caption ) || ! empty( $artesia_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $artesia_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $artesia_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $artesia_caption, 'artesia_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $artesia_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $artesia_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $artesia_description ), 'artesia_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$artesia_content = artesia_get_theme_option( 'front_page_contacts_content' );
			$artesia_layout  = artesia_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $artesia_layout && ( ! empty( $artesia_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $artesia_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $artesia_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $artesia_content, 'artesia_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $artesia_layout && ( ! empty( $artesia_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$artesia_sc = artesia_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $artesia_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $artesia_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					artesia_show_layout( do_shortcode( $artesia_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $artesia_layout && ( ! empty( $artesia_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
