<?php
/**
 * The template to display default site footer
 *
 * @package ARTESIA
 * @since ARTESIA 1.0.10
 */

$artesia_footer_id = artesia_get_custom_footer_id();
$artesia_footer_meta = get_post_meta( $artesia_footer_id, 'trx_addons_options', true );
if ( ! empty( $artesia_footer_meta['margin'] ) ) {
	artesia_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( artesia_prepare_css_value( $artesia_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $artesia_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $artesia_footer_id ) ) ); ?>
						<?php
						$artesia_footer_scheme = artesia_get_theme_option( 'footer_scheme' );
						if ( ! empty( $artesia_footer_scheme ) && ! artesia_is_inherit( $artesia_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $artesia_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'artesia_action_show_layout', $artesia_footer_id );
	?>
</footer><!-- /.footer_wrap -->
